## qt6-sensors 6.2.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)

project(QtSensors
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Sensors Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
             Xml Gui Widgets Quick Qml Svg DBus QuickTest
)

qt_build_repo()
