=== src/plugins/CMakeLists.txt ===
add_subdirectory(sensors)
# add_subdirectory(sensorgestures)
