=== tests/auto/CMakeLists.txt ===
add_subdirectory(qsensor)
add_subdirectory(cmake)
if(TARGET Qt::Quick)
    add_subdirectory(qml)
endif()
# add_subdirectory(qsensorgestures)
# add_subdirectory(qsensorgestureplugins)
# if(UNIX AND NOT APPLE)
#     add_subdirectory(qsensorgestures_gestures)
# endif()
