=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               dh-exec,
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6svg6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
Rules-Requires-Root: no

Package: libqt6sensors6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: libqt6sensorsquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors Quick library.

Package: qml6-module-qtsensors
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML module for Qt Declarative.

Package: libqt6sensors6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6sensors6 (= ${binary:Version}),
         libqt6sensorsquick6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.
