=== debian/control ===
--- 
+++ 
@@ -4,25 +4,25 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.18~),
+               debhelper-compat (= 13),
                dh-exec,
-               debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6svg6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
