## qt6-sensors 6.4.2

=== src/CMakeLists.txt ===
add_subdirectory(sensors)
add_subdirectory(plugins)
if(TARGET Qt::Quick)
    add_subdirectory(sensorsquick)
endif()
