=== src/sensors/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,7 @@
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+    GENERATE_CPP_EXPORTS
 )
 
 if(ANDROID)
