=== examples/sensors/accelbubble/CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,20 @@
 cmake_minimum_required(VERSION 3.16)
 project(accelbubble LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/accelbubble")
 
-find_package(Qt6 COMPONENTS Core Gui Quick Sensors Svg Xml)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Sensors Svg Xml)
 
 qt_add_executable(accelbubble
     main.cpp
 )
+
 set_target_properties(accelbubble PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
