=== examples/sensors/qmlqtsensors/CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,30 @@
 cmake_minimum_required(VERSION 3.16)
 project(qmlqtsensors LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/qmlqtsensors")
 
-find_package(Qt6 COMPONENTS Core Gui Quick)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick)
 
 qt_add_executable(qmlqtsensors
     main.cpp
 )
+
 set_target_properties(qmlqtsensors PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(qmlqtsensors PUBLIC
     Qt::Core
     Qt::Gui
     Qt::Quick
 )
-
 
 # Resources:
 set(qmlqtsensors_resource_files
