=== examples/sensors/sensor_explorer/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 project(sensor_explorer LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensor_explorer")
 
-find_package(Qt6 COMPONENTS Qml Quick Sensors)
+find_package(Qt6 REQUIRED COMPONENTS Qml Quick Sensors)
 
 qt_add_executable(sensor_explorer
     main.cpp
@@ -24,6 +20,7 @@
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(sensor_explorer PUBLIC
     Qt::Qml
     Qt::Quick
