=== src/plugins/sensorgestures/CMakeLists.txt ===
add_subdirectory(shake)
add_subdirectory(qtsensors)
