=== debian/changelog ===
qt6-sensors (6.4.2-4build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 16:06:54 +0100

qt6-sensors (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:09 +0000

qt6-sensors (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:15 +0000

qt6-sensors (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 18:21:30 +0200

qt6-sensors (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042321).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jul 2023 01:35:56 +0200

qt6-sensors (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Wed, 21 Jun 2023 00:50:57 +0200

qt6-sensors (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:41:41 +0100

qt6-sensors (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6sensors6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:56:58 +0100

qt6-sensors (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:54 +0100

qt6-sensors (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:28 +0100

qt6-sensors (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6sensors6-dev to qt6-sensors-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 22:48:21 +0100

qt6-sensors (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:04:47 +0100

qt6-sensors (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:43:06 +0200
