=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.2+dfsg~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-svg-dev (>= 6.4.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
@@ -61,7 +63,8 @@
  .
  This package contains the Qt Sensors QML module for Qt Declarative.
 
-Package: libqt6sensors6-dev
+Package: qt6-sensors-dev
+Provides: libqt6sensors6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -69,9 +72,56 @@
          libqt6sensorsquick6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
+Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
+Replaces: libqt6sensors6-dev (<< 6.4.1-2~)
 Description: Qt 6 Sensors - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the header development files used for building Qt 6
  applications using Qt Sensors library.
+
+Package: qt6-sensors-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Description: Qt 6 Sensors documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for Qt 6 Sensors.
+
+Package: qt6-sensors-doc-html
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Description: Qt 6 Sensors HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for Qt 6 Sensors.
+
+Package: qt6-sensors-doc-dev
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Description: Qt 6 Sensors tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the doxygen tags files for the Qt Sensors
+ documentation.
+
+Package: qt6-sensors-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Sensors examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Sensors submodule.
