=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
@@ -11,19 +12,17 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-svg-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-svg-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
@@ -41,22 +40,13 @@
  .
  This package contains Qt 6 Sensors library.
 
-Package: libqt6sensorsquick6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 6 Sensors Quick library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 Sensors Quick library.
-
 Package: qml6-module-qtsensors
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
+Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
 Description: Qt 6 Sensors QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -69,7 +59,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt6sensors6 (= ${binary:Version}),
-         libqt6sensorsquick6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
