=== debian/changelog ===
qt6-sensors (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Nov 2024 23:29:47 +0100

qt6-sensors (6.7.2-2) unstable; urgency=medium

  * Remove virtual package libqt6sensors6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:00:53 +0200

qt6-sensors (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 21:23:13 +0200
