=== debian/control ===
--- 
+++ 
@@ -8,22 +8,24 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-svg-dev (>= 6.6.2~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-svg-dev (>= 6.7.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
@@ -44,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
 Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
 Description: Qt 6 Sensors QML module
@@ -54,11 +56,11 @@
  This package contains the Qt Sensors QML module for Qt Declarative.
 
 Package: qt6-sensors-dev
-Provides: libqt6sensors6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6sensors6 (= ${binary:Version}),
+         qml6-module-qtsensors (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
