## qt6-sensors 6.8.0

=== debian/changelog ===
qt6-sensors (6.8.0-0deepin) UNRELEASED; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Nov 2024 11:11:55 +0800
